
'--  Script for use with jsCAB.dll. This script gets information about a CAB file.
'--  Just drop a CAB file onto the script.
Dim Arg, FSO, JSC, CPath, FPath, CInfo, sInfo, i2

 Arg = WScript.Arguments(0)

If (Len(Arg) = 0) Then
  MsgBox "Drop a CAB file onto script for unpacking.", 64, "CAB Info"
  WScript.Quit
End If

Set FSO = CreateObject("Scripting.FileSystemObject")
  If (FSO.FileExists(Arg) = False) Then
     MsgBox "Drop a CAB file onto script for unpacking.", 64, "CAB Info"
     DropIt
  End If
  
CPath = Arg
  If UCase(Right(CPath, 4)) <> ".CAB" Then
     MsgBox "Drop a CAB file onto script for unpacking.", 64, "CAB Info"
     DropIt
  End If
 
 '----------- unpack the CAB:

Set JSC = CreateObject("jsCAB.Ops")
  Set CInfo = JSC.GetCABInfo(CPath)
    If (CInfo.IsValidCAB <> 0) or (CInfo.Solitary = False) Then
       If (CInfo.IsValidCAB = 1) Then
          MsgBox "This is an InstallShield CAB file. No further information available.", 64, "CAB Info"
       ElseIf (CInfo.IsValidCAB = 2) Then
           MsgBox "This is not a CAB file. No further information available.", 64, "CAB Info"
       Else
           MsgBox "This CAB file is part of a series. No further information available.", 64, "CAB Info"
       End If
         DropIt
    End If
    
sInfo = Arg & vbCrLf & vbCrLf
sInfo = sInfo & "Number of files: " & CInfo.FileCount & vbCrLf & vbCrLf
  For i2 = 0 to CInfo.FileCount - 1
    sInfo = sInfo & CInfo.FileName(i2) & vbCrLf & CInfo.FileDate(i2) & vbCrLf & CInfo.FileSize(i2) & " KB" & vbCrLf & vbCrLf
  Next  

FPath = Left(CPath, (len(CPath) - 3)) & "txt"  '-- set path for log file.
WriteFile FPath, sInfo

MsgBox "Information saved in file:" & vbCrLf & FPath, 64, "CAB Info"
 
DropIt

Sub WriteFile(sPath, s1)
  Dim TS
   Set TS = FSO.CreateTextFile(sPath, True)
     TS.Write s1
     TS.Close
   Set TS = Nothing
End Sub

Sub DropIt()
   On Error Resume Next
  Set FSO = Nothing
 Set JSC = Nothing
   WScript.Quit
End Sub