
'--  Script for use with jsCAB.dll. This script converts a self executing CAB file (EXE)
'--  to a normal CAB file.  Just drop a CAB EXE file onto the script.
Dim Arg, FSO, JSC, CPath, FPath, Ret
 Arg = WScript.Arguments(0)

If (Len(Arg) = 0) Then
  MsgBox "Drop a self-executing CAB file (EXE) onto script for unpacking.", 64, "EXEtoCAB"
  WScript.Quit
End If

Set FSO = CreateObject("Scripting.FileSystemObject")
  If (FSO.FileExists(Arg) = False) Then
     MsgBox "Drop a self-executing CAB file (EXE) onto script for unpacking.", 64, "EXEtoCAB"
     DropIt
  End If
  
CPath = Arg
  If UCase(Right(CPath, 4)) <> ".EXE" Then
     MsgBox "Drop a self-executing CAB file (EXE) onto script for unpacking.", 64, "EXEtoCAB"
     DropIt
  End If
 
FPath = Left(CPath, (len(CPath) - 3)) & "cab"  '-- set path for CAB file.

 '----------- convert EXE to CAB:

Set JSC = CreateObject("jsCAB.Ops")
Ret = JSC.EXEtoCAB(CPath, FPath)

MsgBox "EXEtoCAB function returns: " & CStr(Ret) & vbCrLf & "If successful (0 returned) CAB file will be in same folder as EXE file.", 64, "EXEtoCAB"
 
DropIt

Sub DropIt()
   On Error Resume Next
  Set FSO = Nothing
 Set JSC = Nothing
   WScript.Quit
End Sub