
 '-- Script for use with jsCAB.dll. This script creates a CAB file containing
'--  all files in a folder. Just drop a folder onto the script. A prompt will then
'--  show to enter a name for the CAB file and the file wil then be created
'-- in the folder.

Dim Arg, FSO, JSC, oFol, oFils, oFil, sPath, sList, sName, Ret

 Arg = WScript.Arguments(0)

If (Len(Arg) = 0) Then
  MsgBox "Drop a folder onto script to create a CAB file.", 64, "Make a CAB"
  WScript.Quit
End If

Set FSO = CreateObject("Scripting.FileSystemObject")
  If (FSO.FolderExists(Arg) = False) Then
     MsgBox "Drop a folder onto script to create a CAB file.", 64, "Make a CAB"
     DropIt
  End If
  
sPath = Arg
If Right(sPath, 1) <> "\" Then sPath = sPath & "\"

Set oFol = FSO.GetFolder(Arg)
Set oFils = oFol.Files
  If oFils.Count = 0 Then
     MsgBox "There are no files in this folder.", 64, "Make a CAB"
     DropIt
  End If
  
 For Each oFil in oFils
   sList = sList & sPath & oFil.Name & "|"
 Next   
  
sName = InputBox("Enter name for CAB file. It will be created in the dropped folder.", "Make a CAB", "test1")

    If (Len(sName) = 0) Then DropIt
    
  If (Len(sName) < 5) Then
     sName = sName & ".cab"
  Else
     If (UCase(right(sName, 4)) <> ".CAB") Then sName = sName & ".cab"
  End If

'----------- make the CAB:

Set JSC = CreateObject("jsCAB.Ops")
  Ret = JSC.MakeCABFile(sPath & sName, sList)

MsgBox "MakeCABFile function returned: " & CStr(Ret), 64, "Make a CAB"
 
DropIt

Sub DropIt()
   On Error Resume Next
 Set oFils = Nothing
 Set oFol = Nothing
 Set FSO = Nothing
 Set JSC = Nothing
   WScript.Quit
End Sub