
'--  Script for use with jsCAB.dll. This script unpacks a CAB file 
'--  Just drop a CAB file onto the script and select folder for unpacking. 
'--  The CAB will then be unpacked into that folder.  

Dim Arg, FSO, JSC, sFol, CPath, Ret

 Arg = WScript.Arguments(0)

If (Len(Arg) = 0) Then
  MsgBox "Drop a CAB file onto script for unpacking.", 64, "Unpack a CAB"
  WScript.Quit
End If

Set FSO = CreateObject("Scripting.FileSystemObject")
  If (FSO.FileExists(Arg) = False) Then
     MsgBox "Drop a CAB file onto script for unpacking.", 64, "Unpack a CAB"
     DropIt
  End If
  
CPath = Arg
  If UCase(Right(CPath, 4)) <> ".CAB" Then
     MsgBox "Drop a CAB file onto script for unpacking.", 64, "Unpack a CAB"
     DropIt
  End If
  
sFol = ChooseFolder()
  If FSO.FolderExists(sFol) = False Then dropit
    
    
 '----------- unpack the CAB:

Set JSC = CreateObject("jsCAB.Ops")
  Ret = JSC.ExtractCABFiles(CPath, sFol)

MsgBox "ExtractCABFiles function returned: " & CStr(Ret), 64, "Unpack a CAB"
 
DropIt

Function ChooseFolder()
  Dim SHL, s1, FolOb, CPt, FolIOb
    Set SHL = CreateObject("Shell.Application")
    Set FolOb = SHL.BrowseForFolder(CLng(0), "Select unpacking folder.", CLng(0))

 On Error Resume Next
    If FolOb Is Nothing Then 
        s1 = ""
    Else       
       CPt = InStr(FolOb.Title, ":") 
        If CPt > 0 Then
           s1 = Fol.Title
           s1 = Mid(s1, (CPt - 1), 2) & "\"
        Else   
           Set FolIOb = FolOb.ParentFolder.ParseName(FolOb.Title)
           s1 = FolIOb.Path
        End If  
          Set FolIOb = Nothing
          Set FolOb = Nothing
    End If     
         
         Set SHL = Nothing
     ChooseFolder = s1  
End Function

Sub DropIt()
   On Error Resume Next
  Set FSO = Nothing
 Set JSC = Nothing
   WScript.Quit
End Sub